Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jprocessunit.addon.jpd
Class CompleteTaskEvent

    java.lang.Object
      org.jprocessunit.ActionEvent
          org.jprocessunit.addon.jpd.TaskStepChangeEvent
              org.jprocessunit.addon.jpd.CompleteTaskEvent

All Implemented Interfaces:
  ProcessEvent

Deprecated. Please use TaskStepChangeEvent instead

    public class CompleteTaskEvent

extends TaskStepChangeEvent

JProcessUnit ActionEvent class used to bring a WLI 8.1 task to a completed state.

Author:
  Reza Shafii

Constructor Summary
`CompleteTaskEvent(com.bea.wli.worklist.api.TaskSelector taskSelector)` Deprecated.

Method Summary
`org.apache.xmlbeans.XmlObject` | `getTaskRequest()` Deprecated. Retrieves the request paramter of the target task for this event
`void` | `setAssignToUser(java.lang.String userName)` Deprecated. Used when the task has not been assigned to a specific user, in which case the action event first assignes the task to userName and then changes the task step.
`void` | `setTaskResponse(java.io.File taskResponse)` Deprecated. Sets the response paramter of the task to which this instance is tied to the XML content of the given file.
`void` | `setTaskResponse(java.lang.String taskResponse)` Deprecated. Sets the response paramter of the task to which this instance is tied to the XML content of the given String.
`void` | `setTaskSelector(com.bea.wli.worklist.api.TaskSelector taskSelector)` Deprecated. The wait event is satisfied as soon as a single task matches the selector.

Methods inherited from class org.jprocessunit.addon.jpd.TaskStepChangeEvent
`getStringTaskUserProperty, getTaskEventUtil, getXMLTaskUserProperty, performAction, setTaskQuery, setTaskUserProperty, setTaskUserProperty`

Methods inherited from class org.jprocessunit.ActionEvent
`assertEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompleteTaskEvent

    public CompleteTaskEvent(com.bea.wli.worklist.api.TaskSelector taskSelector)

  Deprecated.

Method Detail

### setAssignToUser

    public void setAssignToUser(java.lang.String userName)

  Deprecated.
  Used when the task has not been assigned to a specific user, in which case the action event first assignes the task to userName and then changes the task step. If assignToUser is not set and the task does not have a user already assigned, then the user configured admin user is used as default.

  Parameters:
    `userName` -

### setTaskSelector

    public void setTaskSelector(com.bea.wli.worklist.api.TaskSelector taskSelector)

  Deprecated.
  The wait event is satisfied as soon as a single task matches the selector.

  Parameters:
    `taskSelector` - task selector identifying a single target task

### getTaskRequest

    public org.apache.xmlbeans.XmlObject getTaskRequest()

  Deprecated.
  Retrieves the request paramter of the target task for this event

  Parameters:
    `taskResponse` -

### setTaskResponse

    public void setTaskResponse(java.io.File taskResponse)

  Deprecated.
  Sets the response paramter of the task to which this instance is tied to the XML content of the given file.

  Parameters:
    `taskResponse` -

### setTaskResponse

    public void setTaskResponse(java.lang.String taskResponse)

  Deprecated.
  Sets the response paramter of the task to which this instance is tied to the XML content of the given String.

  Parameters:
    `taskResponse` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

JProcessUnit API